Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class BaseDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO

Direct Known Subclasses:
  AppenderDAO, EJBAppServerDAO, EJBConfigurationDAO, KeyStoreDAO, LoggerDAO, MessageDAO, ModuleDAO, OperationDAO, SecurityScenarioDAO, SecurityTokenDAO, ServerConfigurationDAO, ServiceDAO, ServiceGroupDAO, TransportDAO, UserDAO, UserRoleDAO

    public class BaseDAO

extends java.lang.Object

Base class for all WSO2 WSAS data access objects.

See Also:
  `MessageDAO`, `ModuleDAO`, `OperationDAO`, `ServiceDAO`, `ServiceGroupDAO`, `ServerConfigurationDAO`, `UserDAO`, `UserRoleDAO`

Field Summary
`protected HibernateConfig` | `hbConfig`

Constructor Summary
`BaseDAO(HibernateConfig hbConfig)`

Method Summary
`java.lang.Long` | `create(AbstractDataObject trasientInstance)`
`java.lang.Long` | `createOrUpdate(AbstractDataObject instance)`
`void` | `delete(AbstractDataObject abstractDO)`
`void` | `update(AbstractDataObject abstractDO)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hbConfig

    protected HibernateConfig hbConfig

Constructor Detail

### BaseDAO

    public BaseDAO(HibernateConfig hbConfig)

Method Detail

### create

    public java.lang.Long create(AbstractDataObject trasientInstance)
                          throws DuplicateEntityException

  Throws:
    `DuplicateEntityException`

### createOrUpdate

    public java.lang.Long createOrUpdate(AbstractDataObject instance)
                                  throws DuplicateEntityException

  Throws:
    `DuplicateEntityException`

### update

    public void update(AbstractDataObject abstractDO)

### delete

    public void delete(AbstractDataObject abstractDO)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD